=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
add_subdirectory(global)

# 2016-02-21 TODO ZaJ: remove unused icons from this directory

# vi:expandtab:tabstop=4 shiftwidth=4:
