=== debian/changelog ===
kphotoalbum (5.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Feb 2019 21:53:49 +0100

kphotoalbum (5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add upstream signing key.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Sun, 14 Oct 2018 22:07:29 +0200

kphotoalbum (5.3-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Backport upstream commit 47f4c00adaa442cd03b02d44517b5503718f2813 to fix
    build with Qt >= 5.11; patch upstream_Fix-build-with-Qt-5.11.patch.
    (Closes: #906660)
  * Bump Standards-Version to 4.2.1, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default

 -- Pino Toscano <pino@debian.org>  Tue, 04 Sep 2018 23:44:32 +0200
