=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion
	dh_auto_build
	/usr/bin/docbook-to-man debian/kphotoalbum.sgml > kphotoalbum.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f kphotoalbum.1

.PHONY: override_dh_auto_test
