## kphotoalbum 5.5

=== debian/changelog ===
kphotoalbum (5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump some build dependencies according to the upstream build system:
    - cmake to >= 3.2
    - some Qt 5 packages to >= 5.9
    - KF5 packages to >= 5.44.0
  * Switch the Homepage to https.
  * Remove the mplayer dependency, as the new version does not use it anymore.
  * Install README.md instead of README as documentation.
  * Drop the man page, as it is very obsolete.
  * Explicitly add the gettext build dependency.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:37:09 +0200
