=== debian/control ===
--- 
+++ 
@@ -3,38 +3,38 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake (>= 3.1), pkg-kde-tools (>= 0.15.16),
- docbook-to-man,
+Build-Depends: debhelper (>= 11~), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules,
- qtbase5-dev,
+ qtbase5-dev (>= 5.9),
  libphonon4qt5-dev,
- libkf5archive-dev,
- libkf5completion-dev,
- libkf5config-dev,
- libkf5coreaddons-dev,
- libkf5doctools-dev,
- libkf5i18n-dev,
- libkf5iconthemes-dev,
- libkf5jobwidgets-dev,
- libkf5kio-dev,
- libkf5textwidgets-dev,
- libkf5widgetsaddons-dev,
- libkf5xmlgui-dev,
+ libkf5archive-dev (>= 5.44.0),
+ libkf5completion-dev (>= 5.44.0),
+ libkf5config-dev (>= 5.44.0),
+ libkf5coreaddons-dev (>= 5.44.0),
+ libkf5doctools-dev (>= 5.44.0),
+ libkf5i18n-dev (>= 5.44.0),
+ libkf5iconthemes-dev (>= 5.44.0),
+ libkf5jobwidgets-dev (>= 5.44.0),
+ libkf5kio-dev (>= 5.44.0),
+ libkf5textwidgets-dev (>= 5.44.0),
+ libkf5widgetsaddons-dev (>= 5.44.0),
+ libkf5xmlgui-dev (>= 5.44.0),
  libkf5kdcraw-dev,
- libkf5kgeomap-dev, libqt5webkit5-dev, libmarble-dev,
+ libkf5kgeomap-dev, libqt5webkit5-dev (>= 5.9), libmarble-dev,
  libkf5kipi-dev,
  libexiv2-dev (>= 0.19), libjpeg-dev,
  x11proto-core-dev,
  pkg-config,
-Standards-Version: 4.3.0
-Homepage: http://kphotoalbum.org
+ gettext,
+Standards-Version: 4.4.0
+Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git
 
 Package: kphotoalbum
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
- libqt5sql5-sqlite, mplayer
+ libqt5sql5-sqlite,
 Recommends: khelpcenter, ffmpeg, kipi-plugins
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
