## kphotoalbum 5.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.2.0)
-project(kphotoalbum VERSION 5.4.2)
+project(kphotoalbum VERSION 5.6.1)
 
 if(POLICY CMP0063)
     cmake_policy(SET CMP0063 NEW)
@@ -27,24 +27,35 @@
     -DQT_NO_URL_CAST_FROM_STRING
     -DQT_NO_CAST_FROM_BYTEARRAY
     -DQT_DEPRECATED_WARNINGS
-    )
-
-
-set(CMAKE_CXX_STANDARD 11)
+    -DQT_STRICT_ITERATORS
+    )
+
+
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_REQUIRED TRUE)
 
 ########### dependencies  ###############
 
-find_package(Qt5 REQUIRED COMPONENTS Sql Xml Widgets Network)
+find_package(Qt5 5.9 REQUIRED COMPONENTS Sql Xml Widgets Network)
 find_package(Phonon4Qt5 REQUIRED)
-find_package(KF5 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
+find_package(KF5 5.44 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
 
 find_package(JPEG REQUIRED)
 if(JPEG_FOUND)
     include_directories(${JPEG_INCLUDE_DIR})
 endif()
 
-find_package(Exiv2 REQUIRED)
+### 2018-12-30 jzarl
+# When Exiv2 0.26 can be deprecated, FindExiv2.cmake should be removed
+# and only find_package(exiv2) should be used
+find_package(exiv2 CONFIG QUIET)
+if(exiv2_FOUND)
+    # search againg with REQUIRED, so that the feature summary correctly shows exiv as required dependency
+    find_package(exiv2 CONFIG REQUIRED)
+    set(EXIV2_LIBRARIES exiv2lib)
+else()
+    find_package(Exiv2 REQUIRED)
+endif()
 
 find_package(KF5Kipi 5.1.0)
 set_package_properties(KF5Kipi
@@ -53,6 +64,13 @@
     PURPOSE "Enables integration of KDE image plugin interface (shared functionality between KPhotoAlbum and other apps like gwenview or digikam)"
     )
 set(HASKIPI ${KF5Kipi_FOUND})
+
+find_package(KF5Purpose)
+set_package_properties(KF5Purpose
+    PROPERTIES
+    TYPE RECOMMENDED
+    PURPOSE "Enables integration with KDE Purpose plugins, which provide image sharing and similar functionality."
+    )
 
 find_package(KF5KDcraw)
 set_package_properties(KF5KDcraw
@@ -127,6 +145,7 @@
 
 set(libThumbnailView_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/documentation.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/FilterWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp
@@ -149,10 +168,12 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/enums.cpp
     )
 
-set(libPlugins_SRCS)
+set(libPlugins_SRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
+    )
 if(KF5Kipi_FOUND)
-    set(libPlugins_SRCS
-        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h
+    set(libPlugins_SRCS ${libPlugins_SRCS}
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageInfo.cpp
@@ -161,7 +182,11 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
-        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
+        )
+endif()
+if(KF5Purpose_FOUND)
+    set(libPlugins_SRCS ${libPlugins_SRCS}
+        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.cpp
         )
 endif()
 
@@ -207,15 +232,20 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FileUtil.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Logging.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/JpeglibWithFix.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/QStr.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/StringSet.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FastJpeg.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DemoUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DescriptionUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FileNameUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/VideoUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ImageUtil.cpp
     )
 
 set(libMainWindow_SRCS
@@ -249,22 +279,3 @@
 set(libImageManager_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/documentation.h
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/AsyncLoader.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClientInterface.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailCache.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageEvent.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailBuilder.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/PreloadRequest.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CancelEvent.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoImageRescaleRequest.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/Logging.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CacheFileInfo.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/enums.cpp
-    )
