=== images/CMakeLists.txt ===
install(
    FILES
    multiconfig.jpg
    search.jpg
    splash.png
    splash-large.png
    movie-clip.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/pics
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
