=== scripts/CMakeLists.txt ===

install( PROGRAMS org.kde.kphotoalbum.open-raw.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( PROGRAMS open-raw.pl kpa-backup.sh DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

# vi:expandtab:tabstop=4 shiftwidth=4:
