=== themes/blue/CMakeLists.txt ===
install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    download.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/blue
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
