=== themes/rounded/CMakeLists.txt ===
install(
    FILES
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    imagepage.html
    downbar.png
    downright.png
    rightbar.png
    upleft.png
    downleft.png
    leftbar.png
    upbar.png
    upright.png
    download.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
