=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
+Build-Depends: debhelper-compat (= 12), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules,
  qtbase5-dev (>= 5.9),
  libphonon4qt5-dev,
@@ -22,11 +22,12 @@
  libkf5kdcraw-dev,
  libkf5kgeomap-dev, libqt5webkit5-dev (>= 5.9), libmarble-dev,
  libkf5kipi-dev,
+ libkf5purpose-dev,
  libexiv2-dev (>= 0.19), libjpeg-dev,
  x11proto-core-dev,
  pkg-config,
  gettext,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git
