=== themes/rounded/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
     upbar.png
     upright.png
     download.png
-    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded
+    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded"
     )
 
 # vi:expandtab:tabstop=4 shiftwidth=4:
