=== debian/changelog ===
kphotoalbum (5.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key.
  * Remove the unused x11proto-core-dev build dependency.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.3
    - remove unused libkf5kgeomap-dev, libqt5webkit5-dev, and libkf5kipi-dev
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Remove the kipi-plugins recommend, as the KIPI plugins integration was
    removed.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Aug 2020 22:18:25 +0200
